aegis -New_Change(1)

NAME
aegis -New_Change - add a new change to a project

SYNOPSIS
aegis -New_Change [ number ] -File attr-file [ option... ]
aegis -New_Change [ number ] -Edit [ option... ]
aegis -New_Change -List [ option... ]
aegis -New_Change -Help

DESCRIPTION
The aegis -New_Change command is used to add a new change to a project. See aecattr(5) for information on the format of the attr-file.

The change is created in the awaiting development state. The change is not assigned to any user. The change has no development directory.

You may choose your own change number if you want, provided that it has not been used already. If you do not specify a change number, aegis will allocate the lowest unused change number. The first few change numbers are reserved for branches later in the project, and so automatically allocated change numbers will usually not start from 1. See aepa(1) and aepattr(5) for more information.

You must give the -Project option, see below.

  Notification
This is one of the rare "state transitions" which does not have a notification command. The assumption is this command is invoked by the system which usually receives notifications.

OPTIONS
The following options are understood:

-Edit
    Edit the attributes with a text editor, this is usually more convenient than supplying a text file. The VISUAL and then EDITOR environment variables are consulted for the name of the editor to use; defaults to vi(1) if neither is set. See the visual_command and editor_command fields in aeuconf(1) for how to override this specifically for Aegis.

    Warning: Aegis tries to be well behaved when faced with errors, so the temporary file is left in your home directory where you can edit it further and re-use it with a -file option.

    The -edit option may not be used in the background, or when the standard input is not a terminal.

-Edit_BackGround
    Edit the attributes with a dumb text editor, this is most often desired when edit commands are being piped into the editor via the standard input. Only the EDITOR environment variable is consulted for the name of the editor to use; it is a fatal error if it is not set. See the editor_command field in aeuconf(1) for how to override this specifically for Aegis.

-File filename
    Take the attributes from the specified file. The filename `-' is understood to mean the standard input.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Output filename
    This option may be used to specify a filename which is to be written with the automatically determined change number. Useful for writing scripts.

-Project name
    This option is used to select the project for the new change.

    You must supply the -Project option to this command. Experience has shown that when a site has a number of active projects or several active branches on a project, new changes are frequently created against the wrong project or the wrong branch. Making the project explicit reduces this problem.

-REAson text
    This option may be used to attach a comment to the change history generated by this command. You will need to use quotes to insulate the spaces from the shell.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias aenc 'aegis -nc \!* -v'
sh$	aenc(){aegis -nc "$@" -v}

ERRORS
It is an error if the current user is not an administrator of the project. (In some cases it is possible for developers of a project to create changes, see aepattr(5) for more information.)

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

tkaenc(1)
    GUI interface to the aenc(1) command.

aeca(1)
    modify the attributes of a change

aedb(1)
    begin development of a change

aena(1)
    add a new administrator to a project

aencu(1)
    remove a new change from a project

aenpr(1)
    create a new project

aepa(1)
    modify the attributes of a project

aecattr(5)
    change attributes file format

aepattr(5)
    project attributes file format

aeuconf(5)
    user configuration file format

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/